소스 검색

Use example auto scripts

See: https://live-team.pages.debian.net/live-manual/html/live-manual/managing-a-configuration.en.html#329
Stefan Kropp 4 년 전
부모
커밋
60c8d6bbf9
4개의 변경된 파일24개의 추가작업 그리고 1개의 파일을 삭제
  1. 5 1
      README.md
  2. 5 0
      auto/build
  3. 8 0
      auto/clean
  4. 6 0
      auto/config

+ 5 - 1
README.md

@@ -1,3 +1,7 @@
 # Debian Junior Live System
 
-Debian Junior Live System
+Debian Junior Live System
+
+```
+cp /usr/share/doc/live-build/examples/auto/* auto/
+```

+ 5 - 0
auto/build

@@ -0,0 +1,5 @@
+#!/bin/sh
+
+set -e
+
+lb build noauto "${@}" 2>&1 | tee build.log

+ 8 - 0
auto/clean

@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -e
+
+lb clean noauto "${@}"
+
+rm -f config/binary config/bootstrap config/chroot config/common config/source
+rm -f build.log

+ 6 - 0
auto/config

@@ -0,0 +1,6 @@
+#!/bin/sh
+
+set -e
+
+lb config noauto \
+	"${@}"